__gnu_pbds::detail::lu_counter_metadata< Size_Type >(3cxx)

NAME
__gnu_pbds::detail::lu_counter_metadata< Size_Type > - A list-update metadata type that moves elements to the front of the list based on the counter algorithm.

SYNOPSIS

#include <lu_counter_metadata.hpp>

  Public Types

typedef Size_Type size_type

  Friends

class lu_counter_policy_base< size_type >

Detailed Description

  template<typename Size_Type = std::size_t>
class __gnu_pbds::detail::lu_counter_metadata< Size_Type >"A list-update metadata type that moves elements to the front of the list based on the counter algorithm.

Definition at line 51 of file lu_counter_metadata.hpp.

Member Typedef Documentation

  template<typename Size_Type = std::size_t> typedef Size_Type __gnu_pbds::detail::lu_counter_metadata< Size_Type >::size_type

Definition at line 54 of file lu_counter_metadata.hpp.

Friends And Related Symbol Documentation

  template<typename Size_Type = std::size_t> friend class lu_counter_policy_base< size_type > [friend]

Definition at line 57 of file lu_counter_metadata.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.